# YUP Live Chrome Extension

> Svelte open source helper extension for YUP protocol, a decentralized social media platform.

Chrome Store link [https://chrome.google.com/webstore/detail/yup-live/ljoghhmlndknifghijohbmciobhaibhc](https://chrome.google.com/webstore/detail/yup-live/ljoghhmlndknifghijohbmciobhaibhc)

## Features

- Extremely light-weight size is less than 1080p picture.
- No external dependencies.
- No production dependencies.
- No external components.
- Made with Svelte & WindiCSS & TypeScript & Vite.
- Everything loaded asynchronously.
- Inhouse router system.
- Automatically detects and disables other YUP chrome extensions.

## Pages

- Main page - profile, balance, and website rating system.
- Optional Notifications page - shows notifications.
- Settings page - change settings.
- Login page - login or create an account using the YUP Live website.
- Usage page - show how many likes you have left and a counter for the next refill.
- Info page - show info about the extension.

## Additional features

- Chrome notification at login.
- Light and dark theme.
- Optionally enable or disable the notification system.
- Opt-in notification setting for reward.
- Opt-in notification setting at actions refill.
- Optionally enable an overlay for all websites for an easy rating on mobile.

## Screenshots

![Screenshot 1](/misc/screen_1.png?raw=true "Screenshot 1")
![Screenshot 2](/misc/screen_2.png?raw=true "Screenshot 2")

## Possible ways to contribute

- Install and use the extension.
- Fork the repository.
- Open a pull request.
- Open an issue.
- Rate the extension.
- Star the repository.
- Share the extension.
